package crossbrowsertesting.tests;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.edge.EdgeDriver;
import org.openqa.selenium.firefox.FirefoxDriver;
import org.openqa.selenium.safari.SafariDriver;
import org.testng.annotations.AfterTest;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;
import org.testng.asserts.SoftAssert;

import crossbrowsertesting.pageobjs.HomePage;

public class HomePageTest {
	public WebDriver driver;
	private HomePage homePage;

	@BeforeTest
	@Parameters("browser")
	public void browserSetup(String browser) throws Exception {
		switch (browser.toLowerCase()) {
		case "firefox":
			driver = new FirefoxDriver();
			break;
		case "chrome":
			driver = new ChromeDriver();
			break;
		case "edge":
			driver = new EdgeDriver();
			break;
		
		  case "safari": driver = new SafariDriver(); 
		  break;
		 
		default:
			throw new Exception("Incorrect Browser");
		}
	}
	
	@Test
	public void verifyUiText() {
		SoftAssert softAssert = new SoftAssert();
		homePage = new HomePage(driver);
		driver.manage().window().maximize();
		driver.get("https://www.mobisoftinfotech.com");
		softAssert.assertEquals(homePage.lblCenterText().getText(), "Building AI-driven Organizations","Webpage center text is incorrect");
		softAssert.assertAll();
	}
	
	@AfterTest
	public void teardown() throws InterruptedException {
		driver.close();
	}
}